Bug 862529 - Xorg issues after kernel upgrade
Xorg issues after kernel upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 03:06 EDT by Harvey Zabusky
Modified: 2013-08-01 09:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:53:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log file (44.63 KB, text/plain)
2012-10-03 03:06 EDT, Harvey Zabusky
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12100301 None None None 2012-10-03 03:06:18 EDT

  None (edit)
Description Harvey Zabusky 2012-10-03 03:06:17 EDT
Created attachment 620645 [details]
Xorg log file

Description of problem:
On Monday 1 October I received and updated the above notebook with the
following packages: 
Oct 01 07:49:38 Updated: libpinyin-0.7.91-1.fc17.x86_64 
Oct 01 07:49:41 Updated: libpinyin-data-0.7.91-1.fc17.x86_64 
Oct 01 07:49:43 Updated: ghostscript-9.05-4.fc17.x86_64 
Oct 01 07:49:44 Updated: ghostscript-cups-9.05-4.fc17.x86_64 
Oct 01 07:49:45 Updated: ibus-libpinyin-1.4.92-1.fc17.x86_64 
Oct 01 07:49:47 Updated: kernel-headers-3.5.4-2.fc17.x86_64 
Oct 01 07:49:48 Updated: libimobiledevice-1.1.4-4.fc17.x86_64 
Oct 01 07:50:44 Installed: kernel-devel-3.5.4-2.fc17.x86_64 
Oct 01 07:50:46 Updated:
1:telepathy-mission-control-5.12.3-1.fc17.x86_64 
Oct 01 07:50:54 Installed: kernel-3.5.4-2.fc17.x86_64
Since then I encounter a strange phenomena. After restart and login as
user no menu respond to mouse clicks and at time the menu does not appear. I need to open a terminal press Ctrl+Alt+F3, login as root and
run the following command:

# yum downgrade xorg-x11-server-common xorg-x11-server-Xorg
xorg-x11-server-Xephyr

After running the the command I logout as root press Ctrl+Alt+F1 and
every thing is back to normal and remain normal even if I update again
the xorg packages to the latest version.

However next time when I restart the system the same strange phenomena
occurs, even if I stay with the downgraded version of xorg. I have to
repeat the process described above, update the xorg packages and once
again when I am done logout as root, press Ctrl+Alt+F1 and everything is
working again.

As mentioned above I did not experience it before the update of 1
October 2012. The strange phenomena persists even if I boot to an
earlier Kernel.
I am using the default nouveau driver for display.

Version-Release number of selected component (if applicable):
Dell XPS 15z notebook

How reproducible:
Please see above

Steps to Reproduce:
1.Please see above
2.
3.
  
Actual results:
After every restart I have to go through the process described above to gain access to my Notebook

Expected results:
I would have expected a normal behaviour of xorg after the kernel upgrade and definitely if I boot the previous kernel.

Additional info:
Comment 1 Fedora End Of Life 2013-07-04 00:33:00 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:53:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.